<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		  <title>Romanistik und Digital Humanities</title>

			<meta name="description" content="Romanistik und Digital Humanities: Programmierung und Analyseverfahren">
			<meta name="author" content="José Calvo Tello">

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
				<link rel="stylesheet" href="custom.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->			
## Romanistik und Digital Humanities: Programmierung und Analyseverfahren

<br />

##### Grundlagen für Studium und Beruf, Göttingen, 31.05.2023

<hr />

#### Dr. José Calvo Tello
##### Niedersächsische Staats- und Universitätsbibliothek (SUB) Göttingen 

<hr />


<!--https://jose.calvotello.pages.gwdg.de/slides/talks/20201117_DH_Romanistik/-->

<img data-src="../../images/dh_french_spanish_italian_replicate-prediction-u3wjsdjp3ba5hgnp2mz44a3n74.png" width="300"/>





---

# Umfrage

4. Was studieren Sie?
5. Studieren Sie Lehramt?
* https://pad.gwdg.de/202305-dh-romanistik?both#

---

# Vor zwei Wochen: Strukturierung von Daten
* Texte (Editionen und Korpora)
* Normdaten und Wikidata
* Katalog

--

# Wenn wir die Daten schön strukturiert vorliegen, was können wir damit machen?

--

# ChatGPT

https://chat.openai.com

<!--
create a sparql query for wikidata retrieving writers (authors, writers and poets) with the spanish nationility, with their gender, year of birth, place of birth and the coordinates as optional information; limit 100
-->
					    

--

# Wie kommt man dazu?

--

# Mit digitalen Daten, Texten, Korpora!

--

## Korpora für die Sprachwissenschaft

--

## Korpora für die Sprachwissenschaft

<img data-src="img/2022-12-19_09h31_55.png" width="600"/>

--

## Korpora für die Sprachwissenschaft

<img data-src="img/2022-12-19_09h31_45.png" width="600"/>

--

<img data-src="img/2022-12-23_07h22_10.png" width="600"/>

--


## Sprachwissenschaftliche Tools und Wörterbücher

--

## Sprachwissenschaftliche Tools und Wörterbücher

- Freeling: http://nlp.lsi.upc.edu/freeling/
- Trier Wörterbuchnetz: http://www.woerterbuchnetz.de
- WebLicht: https://weblicht.sfs.uni-tuebingen.de
- TXM Texttometrie: http://textometrie.ens-lyon.fr/?lang=en
- Voyant Tools: https://voyant-tools.org/

--

## Sprachwissenschaftliche Tools und Wörterbücher

<img data-src="img/2022-12-19_09h22_43.png" width="600"/>

--

## Sprachwissenschaftliche Tools und Wörterbücher

<img data-src="img/2022-12-19_09h29_13.png" width="600"/>

---

# Textanalyse

--

# Was kann man machen?
* Nur einige Beispiele aus den DH

--

#### Textanalyse: Stilometrie und Autorschaft (Clustering)

<img data-src="../../images/schoech_authorship.png" width="300"/>

- Schöch, C. (2014). Corneille, Molière et les autres. Stilometrische Analysen zu Autorschaft und Gattungszugehörigkeit im französischen Theater der Klassik. In Schöch, C. and Schneider, L. (eds), Literaturwissenschaft im digitalen Medienwandel. pp. 130–57 http://web.fu-berlin.de/phin/beiheft7/b7t08.pdf.

--

#### Textanalyse: Stilometrie und Autorschaft (Clustering)

- Rosa, J. de la and Suárez, J. L. (2016). The Life of Lazarillo de Tormes and of His Machine Learning Adversities Non-traditional authorship attribution techniques in the context of the Lazarillo. Lemir(20): 373–438.

<img data-src="../../images/rosa_lazarillo.png" width="500"/>

--

#### Textanalyse: Stilometrie und Autorschaft

<img data-src="img/2022-12-21_09h24_28.png" width="600"/>

--

### Textanalyse: quantitative historische Entwicklung 
			
<img data-src="../../images/historical_development_sentence_length.png" width="500"/>

--

### Textanalyse: qualitative historische Entwicklung

<img data-src="../../images/setting_type_chronological_development.png" width="900"/>

--

## Textanalyse: Kategorien und Machine Learning

<img data-src="img/2022-12-23_07h18_21.png" width="600"/>

--

## Textanalyse: Kategorien und Machine Learning

<img data-src="img/2022-12-23_07h18_01.png" width="600"/>

--

## Textanalyse: Clustering von textuellen Einheiten (Wörter)

- Dimensionality reduction
- Principal Component Analysis (PCA)
- Topic Modeling
- **Word Embeddings**

--

## Topic Modeling

<img data-src="img/2022-12-19_09h26_32.png" width="600"/>

--

<img data-src="img/2022-12-19_09h28_02.png" width="800"/>

--

<img data-src="img/2022-12-19_09h27_36.png" width="800"/>


---

# Wie macht man das?

--

* Graphical user interfaces (GUIs)
* Programmieren

---

# TextGrid Repository und GUIs

--

## TextGrid Repository und GUIs

* Sie benutzen ein Programm
* Graphical user interfaces
* https://textgridrep.org/browse/40wc3.0

--

# Voyant Tools
* https://voyant-tools.org/
* Gutiérrez de la Torre, Silvia. 2019. ‘Análisis de corpus con Voyant Tools’. Edited by Jennifer Isasi. The Programming Historian en español, no. 3 (April). https://doi.org/10.46430/phes0043.


--

# Switchboard

* NameTag 

--

## Weitere Ressourcen

- forText: https://fortext.net/
- Text Analysis Portal for Research (TaPOR): https://tapor.ca/home
- Social Sciences & Humanities Open Marketplace: https://marketplace.sshopencloud.eu/
- https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/romanistik/digital-humanities-tools-fuer-die-romanistik/


---

# Programmieren

--

# Programmiersprachen
* Sie schreiben ein Programm
* "Formale Sprache zur Formulierung von Datenstrukturen und **Rechenvorschriften**" (Wikipedia)
* "Programmieren ist doppelte Kommunikation. Ein Programm besteht aus einer Reihe
von Anweisungen an den Computer, zugleich richtet es sich an den Programmierer
und alle, die den Code lesen können, und informiert darüber, was das Programm wie
tut." (Jannidis et al. 2017)
* Python, R, Java, JavaScript, C, SQL, XSLT...
* Schon Erfahrung damit? Bitte in Chat schreiben!

--

# GWDG Jupyter Cloud

* Jupyter Notebooks
* In einem Dokument: Dokumentation, Code und Output
* https://jupyter-cloud.gwdg.de/welcome/
* Dombrowski, Quinn, Tassie Gniady, and David Kloster. 2019. ‘Introduction to Jupyter Notebooks’. The Programming Historian 8. https://programminghistorian.org/en/lessons/jupyter-notebooks.



--

## Material
* https://pad.gwdg.de/20230531-jupyter?edit


--

# Bibliographie

* In GUK: [lsy g 000 und all python](https://opac.sub.uni-goettingen.de/DB=1/SET=6/TTL=1/CMD?ACT=SRCHA&IKT=1016&SRT=YOP&TRM=lsy+g+000+und+all+python&MATCFILTER=N&MATCSET=N&NOSCAN=N&ADI_BIB=)
* Laramée, François Dominic. 2018. ‘Introduction to Stylometry with Python’. Programming Historian, April. https://programminghistorian.org/en/lessons/introduction-to-stylometry-with-python.
* Lutz, Mark. 2017. Learning Python. Fifth edition. Beijing: O’Reilly.
* Turkel, William J., and Adam Crymble. 2012. ‘Python Introduction and Installation’. Programming Historian, July. https://programminghistorian.org/en/lessons/introduction-and-installation.
* VanderPlas, Jake. 2018. Data Science Mit Python: Das Handbuch Für Den Einsatz von IPython, Jupyter, NumPy, Pandas, Matplotlib, Scikit-Learn. 1st ed. Frechen: mitp.

---

# Umfrage:

* 6. Frage: Welche Bereiche sind für Sie am interessantesten?
* https://pad.gwdg.de/202305-dh-romanistik?both#

---

## Als Romanist*in

--

<img data-src="img/7l759g.jpg" width="400"/>

--

## Als Romanist*in

* Mangel an Kompetenzen
* Bias in den Ressourcen
* Mehrsprachigkeit
* Mangel an Ressourcen für viele romanische Sprachen
* Institutionen und Unternehmen mit engen Kontakten zu romanischen Ländern

---

# DH in Göttingen

--

## DH in Göttingen

- Institut für Digital Humanities
- https://www.uni-goettingen.de/en/597374.html

--

## DH in Göttingen
### Bibliothek (SUB)

- Forschung und Entwicklung, DARIAH-DE, Text+, ...
- https://www.sub.uni-goettingen.de/projekte-forschung/forschung-entwicklung/

--

## Fachreferent für DH und Romanistik

- Erwerbung
- Erschließung
- Informationsvermittlung und [persönliche Beratung](https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/romanistik/aktuelles/) 
- https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/romanistik/
- https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/digital-humanities/
- https://www.sub.uni-goettingen.de/geisteswissenschaften-und-theologie/romanistik/digital-humanities-tools-fuer-die-romanistik/


--

# Vorschläge und Bücherwünsche für Studierende
* [Vorschläge](https://www.sub.uni-goettingen.de/ausleihen-verlaengern/erwerbungsvorschlaege/)
* [Bücherwunsch für Studierende](https://www.sub.uni-goettingen.de/ausleihen-verlaengern/erwerbungsvorschlaege/buecherwunsch-fuer-studierende/)

--

## Umfrage

* 7. und 8. Fragen
* https://pad.gwdg.de/202305-dh-romanistik?both#

--

## Danke für die Aufmerksamkeit!
### Fragen?


<img data-src="../../images/dh_french_spanish_italian_replicate-prediction-u3wjsdjp3ba5hgnp2mz44a3n74.png" width="400"/>

* Bild mit Pixray automatisch mit dem Promt "Digital Humanities in French, Spanish and Italian" generiert

--
				
					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    